Package org.tmatesoft.svn.core.wc2

## Enum ISvnAddParameters.Action

- java.lang.Object
- - java.lang.Enum<ISvnAddParameters.Action>
  - - org.tmatesoft.svn.core.wc2.ISvnAddParameters.Action

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ISvnAddParameters.Action>`
  Enclosing interface:
    ISvnAddParameters

      public static enum ISvnAddParameters.Action
      extends java.lang.Enum<ISvnAddParameters.Action>

  Describes an action add operation should undertake in case of a inconsistent EOLs. This can be:
  - ADD_AS_BINARY - Rules to add a file as binary.
  - ADD_AS_IS - Rules to add a file ad is.
  - REPORT_ERROR - Rules not to add file but to report an error, i.e. throw an exception
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD_AS_BINARY` |
    `ADD_AS_IS` |
    `REPORT_ERROR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ISvnAddParameters.Action` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ISvnAddParameters.Action[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD_AS_BINARY

          public static final ISvnAddParameters.Action ADD_AS_BINARY

    - #### ADD_AS_IS

          public static final ISvnAddParameters.Action ADD_AS_IS

    - #### REPORT_ERROR

          public static final ISvnAddParameters.Action REPORT_ERROR

  - ### Method Detail

    - #### values

          public static ISvnAddParameters.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISvnAddParameters.Action c : ISvnAddParameters.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISvnAddParameters.Action valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null